# Uses of Interface
org.eclipse.emf.cdo.lm.reviews.Review

Packages that use Review
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.provider
org.eclipse.emf.cdo.lm.reviews.server
org.eclipse.emf.cdo.lm.reviews.util

## Uses of Review in org.eclipse.emf.cdo.lm.reviews

Subinterfaces of Review in org.eclipse.emf.cdo.lm.reviews
Modifier and Type
Interface
Description
`interface`
`DeliveryReview`
A representation of the model object 'Delivery Review'.
`interface`
`DropReview`
A representation of the model object 'Drop Review'.
Methods in org.eclipse.emf.cdo.lm.reviews that return Review
Modifier and Type
Method
Description
`Review`
Comment.`getReview()`
Returns the value of the 'Review' reference.
`Review`
TopicContainer.`getReview()`
Returns the value of the 'Review' reference.

## Uses of Review in org.eclipse.emf.cdo.lm.reviews.impl

Classes in org.eclipse.emf.cdo.lm.reviews.impl with type parameters of type Review
Modifier and Type
Class
Description
`class`
`ReviewStatemachine<REVIEW extends Review>`
`static class`
`ReviewStatemachine.Client<REVIEW extends Review>`
`static class`
`ReviewStatemachine.Server<REVIEW extends Review>`
Classes in org.eclipse.emf.cdo.lm.reviews.impl that implement Review
Modifier and Type
Class
Description
`class`
`DeliveryReviewImpl`
An implementation of the model object 'Delivery Review'.
`class`
`DropReviewImpl`
An implementation of the model object 'Drop Review'.
`class`
`ReviewImpl`
An implementation of the model object 'Review'.
Methods in org.eclipse.emf.cdo.lm.reviews.impl with type parameters of type Review
Modifier and Type
Method
Description
`static <REVIEW extends Review>
CDOCommitInfo`
ReviewStatemachine.`modify(REVIEW review, Consumer<REVIEW> modifier)`
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Review
Modifier and Type
Method
Description
`Review`
CommentImpl.`getReview()`
`Review`
ReviewImpl.`getReview()`
`Review`
ReviewTemplateImpl.`getReview()`
`abstract Review`
TopicContainerImpl.`getReview()`
`Review`
TopicImpl.`getReview()`

## Uses of Review in org.eclipse.emf.cdo.lm.reviews.provider

Methods in org.eclipse.emf.cdo.lm.reviews.provider with parameters of type Review
Modifier and Type
Method
Description
`protected final StyledString`
ReviewItemProvider.`appendStatus(StyledString styledString, Review review)`

## Uses of Review in org.eclipse.emf.cdo.lm.reviews.server

Methods in org.eclipse.emf.cdo.lm.reviews.server that return Review
Modifier and Type
Method
Description
`Review`
IReviewManagerEvent.`getNewReview()`
`Review`
IReviewManagerEvent.`getOldReview()`

## Uses of Review in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util that return Review
Modifier and Type
Method
Description
`static Review`
ReviewsOperationAuthorizer.`getContextReview(org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)`
Methods in org.eclipse.emf.cdo.lm.reviews.util with parameters of type Review
Modifier and Type
Method
Description
`T`
ReviewsSwitch.`caseReview(Review object)`
Returns the result of interpreting the object as an instance of 'Review'.